complete -c mqttui -n "__fish_use_subcommand" -s b -l broker -d 'URL which represents how to connect to the MQTT broker' -r -f
complete -c mqttui -n "__fish_use_subcommand" -s u -l username -d 'Username to access the mqtt broker' -r -f -a "(__fish_complete_users)"
complete -c mqttui -n "__fish_use_subcommand" -l password -d 'Password to access the mqtt broker' -r -f
complete -c mqttui -n "__fish_use_subcommand" -s i -l client-id -d 'Specify the client id to connect with' -r -f
complete -c mqttui -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c mqttui -n "__fish_use_subcommand" -s V -l version -d 'Print version information'
complete -c mqttui -n "__fish_use_subcommand" -l insecure -d 'Allow insecure TLS connections'
complete -c mqttui -n "__fish_use_subcommand" -f -a "clean-retained" -d 'Clean retained messages from the broker'
complete -c mqttui -n "__fish_use_subcommand" -f -a "log" -d 'Log values from subscribed topics to stdout'
complete -c mqttui -n "__fish_use_subcommand" -f -a "publish" -d 'Publish a value quickly'
complete -c mqttui -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -l timeout -d 'When there is no message received for the given time the operation is considered done' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -s b -l broker -d 'URL which represents how to connect to the MQTT broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -s u -l username -d 'Username to access the mqtt broker' -r -f -a "(__fish_complete_users)"
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -l password -d 'Password to access the mqtt broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -s i -l client-id -d 'Specify the client id to connect with' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -l dry-run -d 'Dont clean topics, only log them'
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -s h -l help -d 'Print help information'
complete -c mqttui -n "__fish_seen_subcommand_from clean-retained" -l insecure -d 'Allow insecure TLS connections'
complete -c mqttui -n "__fish_seen_subcommand_from log" -s b -l broker -d 'URL which represents how to connect to the MQTT broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from log" -s u -l username -d 'Username to access the mqtt broker' -r -f -a "(__fish_complete_users)"
complete -c mqttui -n "__fish_seen_subcommand_from log" -l password -d 'Password to access the mqtt broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from log" -s i -l client-id -d 'Specify the client id to connect with' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from log" -s v -l verbose -d 'Show full MQTT communication'
complete -c mqttui -n "__fish_seen_subcommand_from log" -s h -l help -d 'Print help information'
complete -c mqttui -n "__fish_seen_subcommand_from log" -l insecure -d 'Allow insecure TLS connections'
complete -c mqttui -n "__fish_seen_subcommand_from publish" -s b -l broker -d 'URL which represents how to connect to the MQTT broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from publish" -s u -l username -d 'Username to access the mqtt broker' -r -f -a "(__fish_complete_users)"
complete -c mqttui -n "__fish_seen_subcommand_from publish" -l password -d 'Password to access the mqtt broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from publish" -s i -l client-id -d 'Specify the client id to connect with' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from publish" -s r -l retain -d 'Publish the MQTT message retained'
complete -c mqttui -n "__fish_seen_subcommand_from publish" -s v -l verbose -d 'Show full MQTT communication'
complete -c mqttui -n "__fish_seen_subcommand_from publish" -s h -l help -d 'Print help information'
complete -c mqttui -n "__fish_seen_subcommand_from publish" -l insecure -d 'Allow insecure TLS connections'
complete -c mqttui -n "__fish_seen_subcommand_from help" -s b -l broker -d 'URL which represents how to connect to the MQTT broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from help" -s u -l username -d 'Username to access the mqtt broker' -r -f -a "(__fish_complete_users)"
complete -c mqttui -n "__fish_seen_subcommand_from help" -l password -d 'Password to access the mqtt broker' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from help" -s i -l client-id -d 'Specify the client id to connect with' -r -f
complete -c mqttui -n "__fish_seen_subcommand_from help" -l insecure -d 'Allow insecure TLS connections'
